## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDequeIterator Struct Template Reference

`#include <XalanDeque.hpp>`

Collaboration diagram for XalanDequeIterator:

[legend]
List of all members.

## Public Types

- typedef size_t size_type
- typedef XalanDequeTraits::value_type value_type
- typedef XalanDequeTraits::reference reference
- typedef XalanDequeTraits::pointer pointer
- typedef XalanDequeTraits::const_reference const_reference
- typedef ptrdiff_t difference_type
- typedef XalanDequeIterator<
  XalanDequeIteratorTraits<value_type>,
  XalanDeque> Iterator
- typedef XALAN_STD_QUALIFIER
  random_access_iterator_tag iterator_category

## Public Methods

- XalanDequeIterator (XalanDeque *deque, size_type pos)
- XalanDequeIterator (const Iterator &iterator)
- XalanDequeIterator& operator= (const Iterator &iterator)
- XalanDequeIterator& operator++ ()
- XalanDequeIterator operator++ (int)
- XalanDequeIterator& operator-- ()
- pointer operator-> ()
- reference operator * ()
- const_reference operator * () const
- XalanDequeIterator operator+ (difference_type difference) const
- XalanDequeIterator operator- (difference_type difference) const
- difference_type operator- (const XalanDequeIterator &theRhs) const
- bool operator== (const XalanDequeIterator &theRhs) const
- bool operator!= (const XalanDequeIterator &theRhs) const

## Public Attributes

- XalanDeque* m_deque
- size_type m_pos

### template<class XalanDequeTraits, class XalanDeque> struct XalanDequeIterator

## Member Typedef Documentation

template<class XalanDequeTraits, class XalanDeque>
typedef XalanDequeIterator< XalanDequeIteratorTraits< value_type >, XalanDeque > XalanDequeIterator<XalanDequeTraits, XalanDeque>::Iterator<XalanDequeIteratorTraits<value_type>, XalanDeque>

template<class XalanDequeTraits, class XalanDeque>
typedef XalanDequeTraits::const_reference XalanDequeIterator<XalanDequeTraits, XalanDeque>::const_reference

template<class XalanDequeTraits, class XalanDeque>
typedef ptrdiff_t XalanDequeIterator<XalanDequeTraits, XalanDeque>::difference_type

template<class XalanDequeTraits, class XalanDeque>
typedef XALAN_STD_QUALIFIER random_access_iterator_tag XalanDequeIterator<XalanDequeTraits, XalanDeque>::iterator_category

template<class XalanDequeTraits, class XalanDeque>
typedef XalanDequeTraits::pointer XalanDequeIterator<XalanDequeTraits, XalanDeque>::pointer

template<class XalanDequeTraits, class XalanDeque>
typedef XalanDequeTraits::reference XalanDequeIterator<XalanDequeTraits, XalanDeque>::reference

template<class XalanDequeTraits, class XalanDeque>
typedef size_t XalanDequeIterator<XalanDequeTraits, XalanDeque>::size_type

template<class XalanDequeTraits, class XalanDeque>
typedef XalanDequeTraits::value_type XalanDequeIterator<XalanDequeTraits, XalanDeque>::value_type

## Constructor & Destructor Documentation

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque>::XalanDequeIterator<XalanDequeTraits, XalanDeque> ( | XalanDeque * deque,
| size_type pos )

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque>::XalanDequeIterator<XalanDequeTraits, XalanDeque> ( | const Iterator & iterator )

## Member Function Documentation

template<class XalanDequeTraits, class XalanDeque>
const_reference XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator * ( | ) const

template<class XalanDequeTraits, class XalanDeque>
reference XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator * ( | )

template<class XalanDequeTraits, class XalanDeque>
bool XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator!= ( | const XalanDequeIterator<XalanDequeTraits, XalanDeque> & theRhs ) const

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator+ ( | difference_type difference ) const

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator++ ( | int )

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> & XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator++ ( | )

template<class XalanDequeTraits, class XalanDeque>
difference_type XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator- ( | const XalanDequeIterator<XalanDequeTraits, XalanDeque> & theRhs ) const

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator- ( | difference_type difference ) const

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> & XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator-- ( | )

template<class XalanDequeTraits, class XalanDeque>
pointer XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator-> ( | )

template<class XalanDequeTraits, class XalanDeque>
XalanDequeIterator<XalanDequeTraits, XalanDeque> & XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator= ( | const Iterator & iterator )

template<class XalanDequeTraits, class XalanDeque>
bool XalanDequeIterator<XalanDequeTraits, XalanDeque>::operator== ( | const XalanDequeIterator<XalanDequeTraits, XalanDeque> & theRhs ) const

## Member Data Documentation

template<class XalanDequeTraits, class XalanDeque>
XalanDeque * XalanDequeIterator<XalanDequeTraits, XalanDeque>::m_deque

template<class XalanDequeTraits, class XalanDeque>
size_type XalanDequeIterator<XalanDequeTraits, XalanDeque>::m_pos

The documentation for this struct was generated from the following file:

- XalanDeque.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.